<?
  ### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
  ######################################################################################################################

  if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
  } else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
  }
  
  if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
		<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
	  </div>';
  } else {
	  
	$ref1_rows = mysql_num_rows(mysql_query( "SELECT id FROM user WHERE referer = '" . $_SESSION['iduser'] . "'" ));
	$ref2_rows = mysql_num_rows(mysql_query( "SELECT id FROM user WHERE referer = '" . $_SESSION['iduser'] . "' and logindate + 86400 * 7 > '" . time() ."' " ));
	
	$priceDeliveryAll = $ref1_rows * $config['priceDelivery'];
	$priceDeliveryActive = $ref2_rows * $config['priceDelivery'];
  
    include_once ROOT_DIR . '/modules/referrals/menu.php';
  	
  ?>
    <script type="text/javascript">
	  $(document).ready(function() {
        $('.pred-mail-ref-ava').tipTip({defaultPosition:'right'});
	  });
	  
	  function adddelivery() {
		$.ajax({
		  type: 'POST',
		  url: 'ajax.php?func=adddelivery',
		  data: ({title: $('#text').val(), type: $('#typedelivery').val()}),
		  dataType: 'html',
		  success: function(data) {
		    if(data == 1) {
			  $('#success_bonus').fadeIn(500).html('<i class="fa fa-check" aria-hidden="true"></i> Ваши сообщения скоро будут доставлены рефералам!');
			  
			  setTimeout(function() {
				$('#success_bonus').fadeOut(500).html('&nbsp;');
				Page.Go('/ref_mailing');
			  }, 4000);
			} else {
			  $('#error_greeting').fadeIn(500).html('<i class="fa fa-info-circle" aria-hidden="true"></i> '+data);
			  setTimeout(function() {
				$('#error_greeting').fadeOut(500).html('&nbsp;');
			  }, 4000);
		    }
		  }
		});
		return false;
	  }
			
	  function PlanChange() {
	    var lprice = 0;
	    if ($('#typedelivery').val() == 0) {
		  lprice = <?=$priceDeliveryAll?>;
	    } else
	    if ($('#typedelivery').val() == 1) {
		  lprice = <?=$priceDeliveryActive?>;
	    } 
	    $('#summa').html(number_format(lprice, 3, '.', ''));
	  }
			
	  function number_format(number, decimals, dec_point, thousands_sep) {
	    var i, j, kw, kd, km;
	    if (isNaN(decimals = Math.abs(decimals))) { decimals = 2; }
	    if (dec_point == undefined) { dec_point = ","; }
	    if (thousands_sep == undefined) { thousands_sep = "."; }
	    i = parseInt(number = (+number || 0).toFixed(decimals)) + "";
	    if ((j = i.length) > 3) { j = j % 3; } else { j = 0; }
	    km = (j ? i.substr(0, j) + thousands_sep : "");
	    kw = i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousands_sep);
	    kd = (decimals ? dec_point + Math.abs(number - i).toFixed(decimals).replace(/-/, 0).slice(2) : "");
	    return km + kw + kd;
	  }
	  
	  function descchange(elem) {
		if (elem.value.length > 1000) {
		  elem.value = elem.value.substr(0,1000);
		}
		$('#allmsgref').html(1000-elem.value.length);
	  }
	  tm = setInterval(function() {
		if (location.pathname.indexOf('topic') !== -1) {
		  if ($('#text').val() != '') {
		    descchange(document.getElementById('allmsgref'));
		  }
		} else {
		  clearInterval(tm);
		}
	  }, 100);
    </script>
    <div class="content_bar">
	  <article class="postBox">
	    <div class="h2-title-header"><h2><a>Рассылка рефералам</a></h2></div>
	    <div class="image_delivery_p"></div>
	    <div class="textPreview" style="">
		  <p class="earnings_text" style="color: #545454;">
		    Вы можете написать своим рефералам письмо по внутренней почте, запрещено рассылать всякий спам, угрожать или оскорблять своих рефералов, максимальное количество символов 1000, стоимость одного письма <?=$config['priceDelivery']?> <?=$config['valutaname']?><br>
		    <font style="color: #3577D0">Стоимость рассылки рассчитывается по формуле: <font style="text-decoration:underline;">кол-во рефералов * <?=$config['priceDelivery']?> <?=$config['valutaname']?></font></font> 
		  </p>
	    </div>
		
	    <div class="div_centralizator_offtext" >
		  <div class="form-group">
	        <div class="bbcode-panel-greeting ">
		      <span onclick="qbb('[b]','[/b]','text')" id="bb_b" title="Полужирный" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
		      <span onclick="qbb('[i]','[/i]','text')" id="bb_i" title="Наклонный" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
		      <span onclick="qbb('[u]','[/u]','text')" id="bb_u" title="Подчеркнутый" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
		      <span onclick="qbb('[s]','[/s]','text')" id="bb_s" title="Зачеркнутый" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
		      <span onclick="qbb('[sub]','[/sub]','text')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
		      <span onclick="qbb('[sup]','[/sup]','text')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
		      <span onclick="qbb('[a]','[/a]','text')" class="bb_link" id="video" title="Вставить ссылку"><i class="fa fa-link" aria-hidden="true"></i></span>
		      <span onclick="forum.ShowSmilesText();" class="bb_quotet" id="" title=""><i class="fa fa-smile-o" aria-hidden="true"></i><div class="wrap_smiles" ></div></span>
		      <div id="allmsgref" class="allmsgref">1000</div>
	        </div>
	        <textarea class="form-control" style="width: 521px; height: 190px; margin-top: 8px; padding-top: 41px;" id="text" onkeyup="descchange(this);"></textarea>
	      </div>
		  <div class="type-delivery-ref">
		    <select id="typedelivery" onchange="PlanChange(); return false;" class="form-control form-control-sm" style="width: 350px; height: 20px;">
			  <option value="0">Рассылать всем рефералам (<?=$ref1_rows?> чел.)</option>
			  <option value="1">Только активным за последние 7 суток (<?=$ref2_rows?> чел.)</option>
			</select>
		  </div>
	      <a href="" class="btn_box" onclick="adddelivery(); return false;">Сделать рассылку</a>
		  <div class="type-delivery-price">
			  Стоимость:&nbsp;
			  <?
			    if( $config['typedelivery'] == '0') {
				  ?><span id="summa"><? echo number_format($priceDeliveryAll, 3, '.', '');?></span> <?=$config['valutaname']; 
			    } else { 
				  echo 'бесплатно';
			    }
			  ?>
			</div>
	      <div class="wrapper-error">
		    <div class="alert alert-warning error-greeting" id="error_greeting" role="alert" ></div>
		    <div class="alert alert-success error-greeting" id="success_bonus" role="alert" ></div>
		  </div>
		</div>
	    <div class="banner_gorizontal rotator_standarte"><? include_once ROOT_DIR . "/modules/banner468x60/rotator.php";?></div>
	  </article>
    </div>

<? } ?>